%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Autor: Petr ek
% Vytvoeno: 15.5.2012
% Funkce hledani okraju osoby v obraze
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [a, b, c, d, Found] = FoundBoundary(Image)

aFound = 0;
bFound = 0;
cFound = 0;
dFound = 0;

Found = 0;

[x,y] = size(Image);

for i = 1:y
    if sum(Image(:,i)) > 0
        aFound = 1;
        a = i;
        break;
    else
        a = 10000;
    end
end

for i = 1:x
    if sum(Image(i,:)) > 0
        bFound = 1;
        b = i;
        break;
    else
        b = 10000;
    end
end

for i = y:-1:1
    if sum(Image(:,i)) > 0
        cFound = 1;
        c = i;
        break;
    else
        c = 10000;
    end
end

for i = x:-1:1
    if sum(Image(i,:)) > 0
        dFound = 1;
        d = i;
        break;
    else
        d = 10000;
    end
end
if (aFound == 1) && (bFound == 1) && (cFound == 1) && (dFound == 1) && (a ~= c) && (b ~= d)
    Found = 1;
end
