%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Autor: Petr ek
% Vytvoeno: 15.5.2012
% Funkce pro vykreslen obdlnk kolem osoby, 
% jejho tit a stedu obrazu z kamer
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [RectangleX_Cam, RectangleY_Cam, ObjectHeight_Cam_pix, ...
                         ObjectWidth_Cam_pix, ObjectTx_Cam, ...
                         ObjectTy_Cam, SourceTDistance_Cam_pix] = RectangleAndCross(a, b, c, d, x, y, InOut)

RectangleX_Cam = a;
RectangleY_Cam = b;
ObjectHeight_Cam_pix = d - b + 1;
ObjectWidth_Cam_pix = c - a + 1;
ObjectTx_Cam = RectangleX_Cam + ((ObjectWidth_Cam_pix)/2) - 1;
ObjectTy_Cam = RectangleY_Cam + ((ObjectHeight_Cam_pix)/2) - 1;
SourceTDistance_Cam_pix = abs(x - ObjectTx_Cam);
if InOut == 1
    set(findobj('Tag','Rx1'),'String',int2str(RectangleX_Cam));
    set(findobj('Tag','Ry1'),'String',int2str(RectangleY_Cam));
    set(findobj('Tag','hp1'),'String',int2str(ObjectHeight_Cam_pix));
    set(findobj('Tag','wp1'),'String',int2str(ObjectWidth_Cam_pix));
    set(findobj('Tag','Tx1'),'String',int2str(ObjectTx_Cam));
    set(findobj('Tag','Ty1'),'String',int2str(ObjectTy_Cam));
    set(findobj('Tag','xp1'),'String',int2str(SourceTDistance_Cam_pix));
end
if InOut == 2
    set(findobj('Tag','Rx2'),'String',int2str(RectangleX_Cam));
    set(findobj('Tag','Ry2'),'String',int2str(RectangleY_Cam));
    set(findobj('Tag','hp2'),'String',int2str(ObjectHeight_Cam_pix));
    set(findobj('Tag','wp2'),'String',int2str(ObjectWidth_Cam_pix));
    set(findobj('Tag','Tx2'),'String',int2str(ObjectTx_Cam));
    set(findobj('Tag','Ty2'),'String',int2str(ObjectTy_Cam));
    set(findobj('Tag','xp2'),'String',int2str(SourceTDistance_Cam_pix));
end
rectangle('Position',[RectangleX_Cam RectangleY_Cam (ObjectWidth_Cam_pix - 1) (ObjectHeight_Cam_pix - 1)],'EdgeColor','green');
text(ObjectTx_Cam,ObjectTy_Cam,'+','Color','blue');
text(x,y,'+','Color','red');